USB_REGISTER_DRIVER(9)

NAME
usb_register_driver - register a USB interface driver

SYNOPSIS

int usb_register_driver(struct usb_driver * new_driver, struct module * owner, const char * mod_name);

ARGUMENTS

new_driver
    USB operations for the interface driver

owner
    module owner of this driver.

mod_name
    module name string

DESCRIPTION

Registers a USB interface driver with the USB core. The list of unattached interfaces will be rescanned whenever a new driver is added, allowing the new driver to attach to any recognized interfaces.

RETURN

A negative error code on failure and 0 on success.

NOTE

if you want your driver to use the USB major number, you must call usb_register_dev to enable that functionality. This function no longer takes care of that.

COPYRIGHT